/services/webshop/v1/orders/get
Public
| Field | Type | Required | Description | Example |
|---|---|---|---|---|
website_id |
string | Yes | 1 |
|
order_session |
string | Yes | abc123def456ghi789 |
|
email |
string | Yes | john@example.com |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
quote |
object | |
quote.order |
object | |
checkout |
object | |
checkout.order |
object | |
checkout.shipment |
object | |
checkout.payment |
object | |
users |
string | |
vies |
object | |
vies.status |
string valid, unavailable, invalid, unchecked |
|
vies.reverse_charge_applied |
boolean |
| Field | Type | Description |
|---|---|---|
message |
string | Errors overview. |
errors |
object | A detailed description of each field that failed validation. |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string | |
data |
string[] |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
Retry-After |
integer | Seconds until the rate limit resets | 60 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
curl -X POST "https://api.wemasy.nl/api/services/webshop/v1/orders/get" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"website_id": "1",
"order_session": "abc123def456ghi789",
"email": "john@example.com"
}'
fetch('https://api.wemasy.nl/api/services/webshop/v1/orders/get', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_TOKEN',
'Accept': 'application/json',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"website_id": "1",
"order_session": "abc123def456ghi789",
"email": "john@example.com"
})})
.then(r => r.json())
.then(data => console.log(data));
$response = Http::withToken('YOUR_API_TOKEN')
->accept('application/json')
->post('https://api.wemasy.nl/api/services/webshop/v1/orders/get', {
"website_id": "1",
"order_session": "abc123def456ghi789",
"email": "john@example.com"
});
$data = $response->json();
import requests
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
data = {
"website_id": "1",
"order_session": "abc123def456ghi789",
"email": "john@example.com"
}
r = requests.post("https://api.wemasy.nl/api/services/webshop/v1/orders/get", headers=headers, json=data)
print(r.json())
{
"quote": {
"order": {
"show_price_tax_included": "string",
"tax_amounts": "string",
"session": "string",
"total_price": 0,
"total_price_tax": 0,
"total_price_with_tax": 0,
"total_discount_amount": 0,
"products": [],
"discount": {
"discount_type": "string",
"discount_code": "string",
"label": "string",
"discount_value": 0,
"discount_value_type": "string",
"discount_amount": 0,
"applied_to_shipping": true,
"total_amount_after_discount": 0
}
}
},
"checkout": {
"order": {
"tax_amounts": "string",
"show_price_tax_included": "string",
"session": "string",
"total_price": 0,
"total_price_tax": 0,
"total_price_with_tax": 0,
"total_discount_amount": 0,
"products": [],
"status": "string",
"discount": {
"discount_type": "string",
"discount_code": "string",
"label": "string",
"discount_value": 0,
"discount_value_type": "string",
"discount_amount": 0,
"applied_to_shipping": true,
"total_amount_after_discount": 0
}
},
"shipment": {
"selected": {}
},
"payment": {
"selected": "string",
"methods": "string",
"payment_status": "string"
}
},
"users": "string",
"vies": {
"status": "string",
"reverse_charge_applied": true
}
}